Please review and/or complete the following:

  1. Review the latest patch ReadMe file available from the Downloads page to determine which issues are resolved by the patch.
  2. Confirm you are running the latest version by selecting Help, About in The Financial Edge.  As of January 1, 2017, the latest version of The Financial Edge is 7.87.
  3. If your database includes education software and you have installed either the Blackbaud Student Information System or The Education Edge patch, you do not need to install The Financial Edge patch.
  4. In order to install a patch, you must use and log onto the server and workstations with a Windows account that has local administrator rights.